import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Main {
  public static void main(String[] z) {
    ApplicationContext context = new ClassPathXmlApplicationContext("context.xml", Main.class);
    TestBean testBean = (TestBean)context.getBean("test");
    System.out.println(testBean);
  }

}
class TestBean {
  private String name;

  public String getName() {
      return name;
  }

  public void setName(String name) {
      this.name = name;
  }

  @Override
  public String toString() {
      final StringBuilder sb = new StringBuilder();
      sb.append("TestBean");
      sb.append("{name='").append(name).append('\'');
      sb.append('}');
      return sb.toString();
  }
}
